#
# spec file for package python-mccabe
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mccabe
Version:        0.6.1
Release:        1.28
Summary:        McCabe checker, plugin for flake8
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/flintwork/mccabe
Source:         https://pypi.io/packages/source/m/mccabe/mccabe-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Ned's script to check McCabe complexity.
This module provides a plugin for flake8, the Python code checker.

%prep
%setup -q -n mccabe-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec %{_bindir}/py.test

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Mar  6 2017 jmatejek@suse.com
- update for singlespec
- enable tests
* Mon Feb 20 2017 tbechtold@suse.com
- Use pypi.io and https in Source
* Wed Feb 15 2017 kkaempf@suse.com
- update to version 0.6.1:
  * Fix signature for PathGraphingAstVisitor.default to match the
    signature for ASTVisitor
- update to version 0.6.0:
  * Add support for Python 3.6
  * Fix handling for missing statement types
- update to version 0.5.3:
  * Report actual column number of violation instead of the start
    of the line
- update to version 0.5.2:
  * When opening files ourselves, make sure we always name the file
    variable
- update to version 0.5.1:
  * Set default maximum complexity to -1 on the class itself
- update to version 0.5.0:
  * PyCon 2016 PDX release
  * Add support for Flake8 3.0
- update to version 0.4.0:
  * Stop testing on Python 3.2
  * Add support for async/await keywords on Python 3.5 from PEP 0492
- update to version 0.3.1:
  * Include test_mccabe.py in releases.
  * Always coerce the max_complexity value from Flake8’s entry-point
    to an integer.
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 0.3:
  * Computation was wrong: the mccabe complexity starts at 1, not 2
  * The max-complexity value is now inclusive. E.g.: if the value
    is 10 and the reported complexity is 10, then it passes
  * Add tests
- add the LICENSE to the package documentation
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 23 2013 speilicke@suse.com
- Fix SLE_11_SP2 build
- Set license to MIT (SPDX mapping from Expat)
* Sun Apr 21 2013 dmueller@suse.com
- Initial package (0.2.1)
